<div class="row" id="data-kldi">

    <div class="col-md-6">
        <div class="form-group">
            <label class="col-md-4 control-label">&{'rup_id.label'}</label>
            <div class="col-md-8">
                <input class="form-control" type="text" name="paket.kode_paket" readonly id="rupId"
                       value="${paket?.kode_paket}"
                       placeholder="${paket?.kode_paket ? 'paket.kldi.idpaket.placeholder' : '-'}"/>
                <input type="hidden" id="rupIdh" name="paket.kode_paket" value="${paket?.kode_paket}">
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-4 control-label">&{'komoditas.label'}</label>
            <div class="col-md-8 #{errorClass 'komoditas.label'/}">
                <input class="form-control" type="text" readonly value="${komoditas?.nama_komoditas}"/>
                <input type="hidden" name="paket.komoditas_id" value="${komoditas?.id}">
                <span class="help-block">#{error 'komoditas.label' /}</span>
            </div>
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'nama_paket.label'}</label>
            <div class="col-md-8 #{errorClass 'nama_paket.label'/}">
                <textarea readonly rows="5" required class="form-control" id="nama-paket"
                          name="paket.nama_paket">${paket?.nama_paket}</textarea>
                <span class="help-block">#{error 'nama_paket.label' /}</span>
            </div>
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'tahun_anggaran.label'}</label>
            <div class="col-md-8 #{errorClass 'tahun_anggaran.label'/}">
                <input readonly class="form-control" required id="tahunAnggaran" type="text" name="paket.tahun_anggaran"
                       value="${paket?.tahun_anggaran}"/>
                <span class="help-block">#{error 'tahun_anggaran.label' /}</span>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-4 control-label">&{'jenis_instansi.label'}</label>
            <div class="col-md-8 #{errorClass 'jenis_instansi.label'/}">
                <input class="form-control" id="jenisInstansiNama" type="text" readonly value="${paket?.kldi_jenis}"/>
                <input type="hidden" id="jenisInstansiId" name="paket.kldi_jenis" value="${paket?.kldi_jenis}">
                <input type="hidden" id="rupId2" name="paket.rup_id" value="${paket?.rup_id}">
                <input type="hidden" id="prpId" name="paket.prp_id" value="${paket?.prp_id}">
                <input type="hidden" id="kbpId" name="paket.kbp_id" value="${paket?.kbp_id}">
                <span class="help-block">#{error 'jenis_instansi.label' /}</span>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-4 control-label">&{'instansi.label'}</label>
            <div class="col-md-8 #{errorClass 'satuan_kerja.label'/}">
                <input readonly type="text" id="namaSatker" class="form-control" name="paket.nama_satuan_kerja"
                       value="${paket?.nama_satuan_kerja}"/>
                <input type="hidden" id="idSatker" name="paket.satker_id" value="${paket?.satker_id}"/>
                <span class="help-block">#{error 'satuan_kerja.label' /}</span>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-4 control-label">&{'satuan_kerja_nama.label'}</label>
            <div class="col-md-8 #{errorClass 'instansi.label'/}">
                <input class="form-control" id="instansiNama" type="text" name="paket.instansi" readonly
                       value="${paket?.instansi}"/>
                <input type="hidden" id="instansiId" name="paket.kldi_id" value="${paket?.kldi_id}">
                <span class="help-block">#{error 'instansi.label' /}</span>
            </div>
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'satuan_kerja_npwp.label'}</label>
            <div class="col-md-8 #{errorClass 'satuan_kerja_npwp.label'/}">
                <input class="form-control" required id="npwpSatker" type="text" name="paket.npwp_satuan_kerja"
                       value="${paket?.npwp_satuan_kerja}"/>
                <span class="help-block">#{error 'satuan_kerja_npwp.label' /}</span>
            </div>
        </div>

        <br/>
        <div class="form-group">
            <label class="col-md-4 control-label">&{'satuan_kerja_alamat.label'}</label>
        </div>
        <hr/>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'provinsi.label'}</label>
            <div class="col-md-8">
                <select class="form-control select2" style="width: 100%" id="sk-provinsi" required>
                    <option value="">&{'pilih.label'}</option>
                #{list listProvinsi, as:'pr'}
                    #{if pr.id==satker_prov_id}
                        <option value="${pr.id}" selected="selected">${pr.nama_provinsi}</option>
                    #{/if}
                    #{else}
                        <option value="${pr.id}">${pr.nama_provinsi}</option>
                    #{/else}
                #{/list}
                </select>
            </div>
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'kabupaten_kota.label'}</label>
            <div class="col-md-8 #{errorClass 'paketToSave.satuan_kerja_kabupaten'/}">
                <select class="form-control" name="paket.satuan_kerja_kabupaten" id="sk-kabupaten" required>
                    <option value="">&{'pilih.label'}</option>
                #{list listSatkerKab, as:'kb'}
                    #{if kb.id==satker_kab_id}
                        <option value="${kb.id}" selected="selected">${kb.nama_kabupaten}</option>
                    #{/if}
                    #{else}
                        <option value="${kb.id}">${kb.nama_kabupaten}</option>
                    #{/else}
                #{/list}

                </select>
                <span class="help-block">#{error 'paketToSave.satuan_kerja_kabupaten' /}</span>
            </div>
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'alamat_lengkap.label'}</label>
            <div class="col-md-8 #{errorClass 'satuan_kerja_alamat.label'/}">
                <textarea rows="5" id="alamatSatker" required class="form-control"
                          name="paket.alamat_satuan_kerja">${paket?.alamat_satuan_kerja}</textarea>
                <span class="help-block">#{error 'satuan_kerja_alamat.label' /}</span>
            </div>
        </div>

        <br/>
        <div class="form-group">
            <label class="col-md-4 control-label">&{'alamat_pengiriman.label'}</label><br/>
        </div>
        <div class="form-group">
            <input type="checkbox" id="duplicateCheck" value="1" name="paket.gunakan_alamat_satker"
            #{if null != paket?.gunakan_alamat_satker || paket?.gunakan_alamat_satker==1 }
                   checked
            #{/if}
                   onchange="check(this)"/><label
                class="col-md-4 control-label">&{'gunakan_alamat_satker.label'}</label><br/>
        </div>
        <hr/>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'provinsi.label'}</label>
            <div class="col-md-8">
                <select class="form-control select2" style="width: 100%" id="peng-provinsi" required>
                    <option value="">&{'pilih.label'}</option>
                #{list listProvinsi, as:'pr'}
                    #{if pr.id==pengiriman_prov_id}
                        <option value="${pr.id}" selected="selected">${pr.nama_provinsi}</option>
                    #{/if}
                    #{else}
                        <option value="${pr.id}">${pr.nama_provinsi}</option>
                    #{/else}
                #{/list}
                </select>
            </div>
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'kabupaten_kota.label'}</label>
            *{<input type="hidden" name="paket.pengiriman_kabupaten" value="${wilayahId}"/>}*
            <div class="col-md-8 #{errorClass 'paketToSave.pengiriman_kabupaten'/}">
                <select class="form-control coll-md-12" name="paket.pengiriman_kabupaten" id="peng-kabupaten" required>
                    <option value="">&{'pilih.label'}</option>
                #{list listPengirimanKab, as:'kb'}
                    #{if kb.id==pengiriman_kab_id}
                        <option value="${kb.id}" selected="selected">${kb.nama_kabupaten}</option>
                    #{/if}
                    #{else}
                        <option value="${kb.id}">${kb.nama_kabupaten}</option>
                    #{/else}
                #{/list}
                </select>
                <span class="help-block">#{error 'paketToSave.pengiriman_kabupaten' /}</span>
            </div>
            <!--<input type="text" name="paket.pengiriman_kabupaten" value="${wilayahId}" id="data-peng-kabupaten"/>-->
        </div>

        <div class="form-group required">
            <label class="col-md-4 control-label">&{'alamat_lengkap.label'}</label>
            <div class="col-md-8 #{errorClass 'paketToSave.pengiriman_alamat'/}">
                <textarea rows="5" required class="form-control" id="peng-alamat"
                          name="paket.pengiriman_alamat">${paket?.pengiriman_alamat}</textarea>
                <span class="help-block">#{error 'paketToSave.pengiriman_alamat' /}</span>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-group">
            <label class="col-md-4 control-label">&{'sumber_dana.label'}</label>
            <div class="col-md-8 #{errorClass 'sumber_dana.label'/}" style="overflow-x: auto">
                <table class="table table-condensed">
                    <thead>
                    <tr>
                        <th>&{'sumber_dana.label'}</th>
                        <th colspan="2">&{'kode_anggaran.label'}</th>
                    </tr>
                    </thead>
                    <tbody id="tblSumberDana">
                    #{list paket?.id_sumber_dana, as:'sumber_dana_id'}
                    <tr id="sum-dana-${psd_index}">
                        <td>
                            <select class="form-control" name="paket.id_sumber_dana">
                                #{list sumberDanaList, as:'sdl'}
                                    <option value="${sdl.id}" ${sdl.id.longValue()== sumber_dana_id?
                                    ' selected' : ''}>
                                    ${sdl.nama_sumber_dana}</option>
                                #{/list}
                            </select>
                        </td>
                        <td>
                            <input type="text" class="form-control kodesumberdana" name="paket.kode_anggaran"
                                   value="${paket?.kode_anggaran[(sumber_dana_id_index - 1)]}" required/>
                        </td>
                        <td>
                            <button type="button" class="btn btn-xs btn-danger btn-delete-sumdana"
                                    data-id="${sumber_dana_id_index}">
                                <span class="fa fa-trash"></span>
                            </button>
                        </td>
                    </tr>
                    #{/list}
                    </tbody>
                </table>
                <span class="help-block">#{error 'sumber_dana.label' /}</span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-2 col-md-offset-10">
                <button type="button" class="btn btn-primary" id="tambahSumDana"
                        data-jumlah="${paketSumberDana ? paketSumberDana.size() : 0}"
                        data-action="@{masterdata.SumberDanaCtr.getSumberDana()}">Tambah
                </button>
            </div>
        </div>
    </div>
</div>
<script>
    function sleep(ms) {
        return new Promise(resolve => setTimeout(resolve, ms));
    }

    function check(checkbox) {
        var isChecked = checkbox.checked;
        var sk_prov = $("#sk-provinsi");
        var sk_kab = $("#sk-kabupaten");
        var sk_alamat = $("#alamatSatker");
        var peng_prov = $("#peng-provinsi");
        var peng_kab = $("#peng-kabupaten");
        var peng_alamat = $("#peng-alamat");
        peng_prov.val(sk_prov.val()).change();
        peng_alamat.val(sk_alamat.val()).change();

        peng_kab.val(sk_kab.val()).change();
        if (isChecked) {
            peng_prov.val(sk_prov.val()).change();
            sleep(1500).then(() => {peng_kab.val(sk_kab.val()).change();});
            // peng_kab.val(sk_kab.val()).change();
            peng_alamat.val(sk_alamat.val()).change();
        }
        peng_prov.prop("disabled", isChecked);
        peng_kab.prop("disabled", isChecked);
        peng_alamat.prop("disabled", isChecked);
    }
</script>